
// export const baseUrl = 'http://118.190.207.112:8500/smarthome-service'
export const baseUrl = 'http://101.35.79.44:8500/smarthome-service'
export const baseUrl1 = 'http://101.35.79.44:8500/smarthome-service'

export function uniRequest(url, data, method="GET", hike) {
	// console.log('url', baseUrl + url)
	uni.showLoading({
		title: '加载中...',
		mask: true
	})
	return new Promise((resolve, reject) => {
		uni.request({
		    url: hike == true ? baseUrl1 + url : baseUrl + url, 
			method: method,
			data: data,
			contentType: "application/x-www-form-urlencoded",
		    success: (res) => {
				uni.hideLoading()
		        const data = res.data;
				if (data.code == 1) {
					resolve(data.data);
				} else {
					uni.showToast({
						title: data.message || '异常错误，请联系管理员',
						icon: 'none',
						duration: 3000,
						
					})
				}
		    },
			fail: (err) => {
				uni.hideLoading()
				reject(err)
			}
		});
	})
}
export function uniRequest1(url, data, method="GET") {
	// console.log('url', baseUrl + url)
	uni.showLoading({
		title: '加载中...',
		mask: true
	})
	return new Promise((resolve, reject) => {
		uni.request({
		    url: baseUrl1 + url, 
			method: method,
			data: data,
			contentType: "application/x-www-form-urlencoded",
		    success: (res) => {
				uni.hideLoading()
		        const data = res.data;
				const devices = res.devices;
				if (data.code == 200 || data.code == 1) {
					console.log('data is:')
					console.log(data)
					resolve(data.data || data.devices);
				} else {
					console.log('error code is')
					uni.showToast({
						title: data.message || 'request1异常错误，请联系管理员',
						icon: 'none',
						duration: 3000
					})
				}
		    },
			fail: (err) => {
				uni.hideLoading()
				console.log('request failed')
				reject(err)
			}
		});
	})
}